@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.main-header{
    transition: all 300ms ease;
    height: 68px;

    @include mq.media-up(xxl){
        height: 120px;
    }

    &--scroll-down{
        box-shadow: 0 4px 8px -3px rgb(0 0 0 / 20%);

        @include mq.media-up(xxl){
            height: 80px;
        }
    }
}

.header-logo{
    width: 70%;
    max-width: 240px;
}

.main-nav{
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100vw;
    background-color: #fff;
    visibility: hidden;
    opacity: 0;
    transition: all 300ms ease;

    &-item{
        margin: 52px 0;
        text-align: center;
        opacity: 0;
        position: relative;

        @for $i from 1 through 6 {
            &:nth-child(#{ $i }){
                transform:  translateY( 8px * $i );
            }
        }

        @include mq.media-up(xl){
            opacity: 1;
            margin: 0 32px;
            text-align: left;
            transform: translateY(0)!important;
        }

        &:first-child{
            margin-left: 0;
        }

        &:last-child{
            margin-right: 0;
        }
    }

    &-link.active{
        color: c.$primary-1;
    }

    &.active{
        visibility: visible;
        opacity: 1;

        .main-nav-item{
            opacity: 1;
            transform: translateY(0);
            transition: all 420ms ease 240ms;
        }
    }

    @include mq.media-up(xl){
       display: block;
       position: initial;
       height: initial;
       width: initial;
       visibility: visible;
       opacity: 1;
       background-color: #fff;
    }
}
